#!/usr/bin/env python3

import subprocess
import argparse

# parse the arguments
ap = argparse.ArgumentParser()
ap.add_argument("ratio", type=int)
ap.add_argument("scale", type=int)
args = ap.parse_args()

if args.ratio == 1:
    p = subprocess.run(['hb', '-p', '1', '-s', 'npyr', 'input_0.png', 'output.png'])
else:
    p = subprocess.run(['hb', '-p', '1',
                        '-x', str(args.ratio),
                        '-y', str(args.ratio),
                        '-s', 'npyr',
                        'input_0.png', 'output.png'])
